> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/ukrainian/dokumentaciya-api/oglyad-zapitiv-geopard-api/62.-mutaciya-nadati-dostup-do-gospodarstv.md).

# 62. Мутація: Надати доступ до господарств

Пакетне спільне використання ферм користувачам всередині "Організації" або для зовнішніх користувачів. Існує два випадки застосування мутації. Перший випадок — пакетне спільне використання "Ферми" за списком електронних адрес.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
мутація ShareFarmsSample {
  shareFarms(
    input: {
      farmUuids: ["farm_uuid1", "farm_uuid2"]
      emails: ["user1@gmail.com", "user2@gmail.com"]
    }
  ) {
    uuid
    userUuid
    назва
    farmOwnership
    датаСтворення
    updatedDate
    email
  }
}

```

{% endcode %}

А другий випадок — встановлення прапорця ‘allFarms=true’ для списку "Користувачів" в "Організації", що означає, що всі нові ферми всередині "Організації" будуть доступні для цих "Користувачів".

{% code overflow="wrap" lineNumbers="true" %}

```graphql
мутація ShareFarmsSample {
  shareFarms(
    input: { 
      emails: ["user@gmail.com"], 
      allFarms: true 
    }
  ) {
    uuid
    userUuid
    назва
    farmOwnership
    датаСтворення
    updatedDate
    email
  }
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/ukrainian/dokumentaciya-api/oglyad-zapitiv-geopard-api/62.-mutaciya-nadati-dostup-do-gospodarstv.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
